# Uses of Class
org.eclipse.gef.layout.LayoutContext

Packages that use LayoutContext
Package
Description
org.eclipse.gef.layout
This package provides an interface-based facade to exchange layout information with layout algorithms (within this package), concrete implementations of layout algorithms ( `org.eclipse.gef.layout.algorithms`).
org.eclipse.gef.layout.algorithms
This package provides different implementations of concrete layout algorithms.

## Uses of LayoutContext in org.eclipse.gef.layout

Methods in org.eclipse.gef.layout with parameters of type LayoutContext
Modifier and Type
Method
Description
`void`
ILayoutAlgorithm.`applyLayout(LayoutContext layoutContext, boolean clean)`
Makes this algorithm perform layout computation and apply it to its context.

## Uses of LayoutContext in org.eclipse.gef.layout.algorithms

Methods in org.eclipse.gef.layout.algorithms with parameters of type LayoutContext
Modifier and Type
Method
Description
`void`
CompositeLayoutAlgorithm.`applyLayout(LayoutContext context, boolean clean)`
`void`
GridLayoutAlgorithm.`applyLayout(LayoutContext context, boolean clean)`
`void`
HorizontalShiftAlgorithm.`applyLayout(LayoutContext context, boolean clean)`
`void`
RadialLayoutAlgorithm.`applyLayout(LayoutContext layoutContext, boolean clean)`
`void`
SpaceTreeLayoutAlgorithm.`applyLayout(LayoutContext layoutContext, boolean clean)`
`void`
SpringLayoutAlgorithm.`applyLayout(LayoutContext layoutContext, boolean clean)`
`void`
SugiyamaLayoutAlgorithm.`applyLayout(LayoutContext layoutContext, boolean clean)`
`void`
TreeLayoutAlgorithm.`applyLayout(LayoutContext layoutContext, boolean clean)`